/* Colors */
$red-dark: #6E202B;
$red: #D60D2B;
$red-light: #FF2D55;
$pink : #FD92A6;
$green : #6AA84F;

$blue: #4890DA;
$blue-mid: #A5DEFE;
$blue-light: #CCEEFF;
$blue-bright: #368FEA;
$blue-dark: #4081C3;

$line-black: #333333;
$line-dark: #7D7B7B;
$line: #CCCCCC;
$line-light: #F3F3F3;

$text: #212529;
$link: #4890DA;
$link-hover: #4890DA;

$black-100: #000000;
$black-80: #333333;
$black-50: #888888;
$black-15: #D8D8D8;
$disabled: #b8b8b8;

$footer-bgr: #eeeeee;

$black-t-20: RGBA(0, 0, 0, .2);
$shadow: 0 3px 3px rgba(0, 0, 0, 0.15);

$white: #FFFFFF;
$white-40: #F0F0F0;
$white-t-90: RGBA(255, 255, 255, .1);
$white-t-70: RGBA(255, 255, 255, .3);
$white-t-40: RGBA(255, 255, 255, .4);

$box-color-1: #6E202B;
$box-color-1-hover: #401219;
$box-color-1-text: $white;
$box-color-1-text-hover: $white;

$box-color-2: #333333;
$box-color-2-hover: #1E1E1E;
$box-color-2-text: $white;
$box-color-2-text-hover: $white;

$box-color-3: #CBEEFF;
$box-color-3-hover: #788C96;
$box-color-3-text: $text;
$box-color-3-text-hover: $white-40;

$box-color-4: #D8D8D8;
$box-color-4-hover: #7F7F7F;
$box-color-4-text: $text;
$box-color-4-text-hover: $white-40;

$box-color-5: #F6E540;
$box-color-5-hover: #ffe600;
$box-color-5-text: $text;
$box-color-5-text-hover: $text;
$box-color-5-button: #2AA6FF;
$box-color-5-button-hover: #0095ff;

$box-color-6: #7CBDBD;
$box-color-6-hover: #66c0c0;
$box-color-6-text: $text;
$box-color-6-text-hover: $text;
$box-color-6-button: #1E845f;
$box-color-6-button-hover: #008556;

$quicklink-color: #333333;
$quicklink-color-hover: #1E1E1E;
$quicklink-color-text: $white;
$quicklink-color-text-hover: $white;

$form-border: #ced4da;
$form-color: #495057;

/* Font Styles */
.dex {

/* Form Field Text */

  /* .dex__formfield */
  &__formfield {
    font-size: 14px;
    font-family: 'Merriweather Sans Regular';

    /* .dex__formfield--bold */
    &--bold {
      font-size: 14px;
      font-family: 'Merriweather Sans Bold';
    }
  }

/* Label text */

  /* .dex__label */
  &__label {
    font-size: 14px;
    font-family: "Merriweather Sans Light";

    &--big-bold {
      font-size: 16px;
      font-family: "Merriweather Sans Bold";
    }

    /* .dex__label--bold */
    &--bold {
      font-size: 14px;
      font-family: "Merriweather Sans Bold";
    }
  }

/* Navigation */

  /* .dex__nav */
  &__nav {

    /* .dex__nav__main */
    &__main {
      font-size: 18px;
      font-family: "Merriweather Sans Regular";

      /* .dex__nav__main__title */
      &__title {
        font-size: 18px;
        font-family: "Merriweather Sans Regular";
        color: $blue;
      }

      /* .dex__nav__main__item */
      &__item {
        font-size: 16px;
        font-family: "Merriweather Sans Regular";

        /* .dex__nav__main__item--selected */
        &--selected {
          font-size: 16px;
          font-family: "Merriweather Sans Regular";
        }
      }
    }

    /* Page nav */

    /* .dex__nav__page */
    &__page {
      font-size: 18px;
      font-family: "Merriweather Sans Regular";

      /* .dex__nav__page--selected */
      &--selected {
        font-size: 16px;
        font-family: "Merriweather Sans Regular";
      }
    }

    /* Service text */

    /* .dex__nav__service */
    &__service {
      font-size: 16px;
      font-family: "Merriweather Sans Regular";
    }
  }

/* Regular text */

  /* .dex__text */
  &__text {
    font-size: 16px;
    font-family: "Merriweather Sans Light";

    /* .dex__text__banner */
    &__banner {
      font-size: 14px;
      font-family: "Merriweather Sans Regular";
    }

    /* .dex__text--small */
    &--small {
      font-size: 14px;
      font-family: "Merriweather Sans Light";
    }
  }

/* Link */

  /* .dex__link */
  &__link {
    font-size: 16px;
    font-family: "Merriweather Sans Light";
    text-decoration: none;
    color: $blue;
    &:hover,
    &:active,
    &:visited {
      text-decoration: none;
      color: $blue;
    }
  }

  /* .dex__title */
  &__title {

    /* .dex__title--page */
    &--page {
      font-size: 36px;
      font-family: "Merriweather Sans Bold";
    }

    /* .dex__title--sub */
    &--sub {
      font-size: 24px;
      font-family: "Merriweather Sans Bold";
    }
  }
}

/* Icons */

.fa-2x {
  font-size: 1.5em;
}
h1, h2, h3, h4, h5, h6 {
  font-family: "Merriweather Sans Bold";
  margin: 0;
  color: $text !important;
  font-weight: normal;
}
h1 {
  font-size: 36px;
  line-height: 48px;
  margin-top: 24px;
}
h2 {
  font-size: 24px;
  line-height: 36px;
  margin-top: 24px;
}
h3, h4, h5, h6 {
  font-size: 16px;
  line-height: 24px;
  margin-top: 24px;
}
b, strong {
  font-family: "Merriweather Sans Regular";
  font-weight: normal;
}
a {
    font-family: "Merriweather Sans Regular";
    text-decoration: none;
    color: $link;
    &:hover,
    &:active,
    &:visited {
      text-decoration: none;
      color: $link-hover;
    }
    &:hover {
      text-decoration: underline;
    }
}
